Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-60742

Windows OpenGL context ignores requested QSurfaceFormat bits

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Reported
    • Priority: P3: Somewhat important
    • Resolution: Unresolved
    • Affects Version/s: 5.8.0
    • Fix Version/s: None
    • Component/s: GUI: OpenGL
    • Labels:
      None

      Description

      I'm trying to use Mesa on Windows with Qt5 and the static no-profile context created by Qt on startup is causing the maximum allowed version to be requested to be 3.0. This is because the no-profile (compat) context gives a 3.0 context since that is the highest compat context Mesa supports.

      I don't think giving a lower versioned context than requested makes sense since if an application requests 4.5 and gets 3.2 (or whatever), it's going to have to bail out on its own since functions it (presumably) needs are not available. Just giving back a `NULL` `QOpenGLContext` seems friendlier to me.

      The static context stuff was added in this commit. If it is truly necessary (I and Mesa developers question it), I think it should instead create a static context for each profile and limit the version request based on that.

      A temporary workaround is to set the `MESA_GL_VERSION_OVERRIDE` environment variable to have Mesa claim support for a different minimum version.

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            sletta Gunnar Sletta
            Reporter:
            ben.boeckel@kitware.com Ben Boeckel
            Votes:
            5 Vote for this issue
            Watchers:
            6 Start watching this issue

              Dates

              Created:
              Updated:

                Gerrit Reviews

                There are no open Gerrit changes